import 'dart:async';

import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:image_picker/image_picker.dart';

import 'strings.dart';

// Канал для взаимодействия с кодом платформы.
const platform = const MethodChannel('com.dinect.checker/instance_id');


// TODO: Избавиться от следующих двух методов
pushRoute(BuildContext context, Widget widget) {
  var route =
      new MaterialPageRoute<Null>(builder: (BuildContext context) => widget, fullscreenDialog: true);
  new Future.delayed(const Duration(milliseconds: 200), ()
  {
    Navigator.of(context).push(route);
  });
}

getCurrencyTitle(int code) {
  switch (code) {
    case 643:
      return StringsLocalization.rfruble();
    case 840:
      return StringsLocalization.usadollas();
    case 980:
      return StringsLocalization.ukhryvnia();
    case 978:
      return StringsLocalization.euro();
    case 398:
      return StringsLocalization.kztenge();
    case 933:
      return StringsLocalization.beruble();
    case 860:
      return StringsLocalization.uzbsum();
    case 944:
      return StringsLocalization.azbman();
    case 051:
      return StringsLocalization.armdram();
    case 417:
      return StringsLocalization.kgssom();
    case 498:
      return StringsLocalization.mdlleu();
    case 972:
      return StringsLocalization.tjssomoni();

  }
}

getLocaleTitle(String code) {
  switch (code) {
    case 'ru':
      return 'Русский';
    case 'en':
      return 'English';
    case 'ua':
      return 'Український';
    case 'es':
      return 'Español';
  }
}

// Добавил вызов, что-бы AOT компилер не выкинул либу.
getImage() async {
    return await ImagePicker.pickImage();
}
